Уязвимость в Glibc ld.so, позволяющая поднять свои привилегии в системе - Proxy-Base Community - Анонимность и безопасность в интернете.

Private Proxy Tools [купить доступ]:
Proxy Checker [old] | Proxy Checker [new] | Url Proxy Parser | Multi Proxy Parser
Alive Proxy List (URL, ip:port\n) (~ http/s>=1000, socks4/5>=100) | Proxy List
Free Socks 4/5 (Alive) | Proxy Gear Pro (Proxy Combine: checker, parser, grabber)

 



Информация по хайдам / репутации

Все инфопродукты и приватная информация бесплатно

Вернуться   Proxy-Base Community - Анонимность и безопасность в интернете. > Proxy-Base - Information > Новости IT

Ответ
 
LinkBack Опции темы Поиск в этой теме Опции просмотра
Старый 14.12.2017, 14:10   #1 (permalink)
VPN
 
Аватар для Proxy-Base-News
 
Регистрация: 16.09.2015
Сообщений: 654
Member ID: 35426

Репутация: 18
Репутация: 18
Сказал(а) спасибо: 0
Поблагодарили 6 раз(а) в 6 сообщениях
Топикстартер (автор темы) По умолчанию Уязвимость в Glibc ld.so, позволяющая поднять свои привилегии в системе

Компания Qualys выявила две уязвимости в системной библиотеке GNU libc. Первая проблема (CVE-2017-1000408) проявляется начиная с glibc 2.1.1 и может привести к утечке содержимого памяти процессов через манипуляцию с переменной окружения LD_HWCAP_MASK. Вторая уязвимость (CVE-2017-1000409) затрагивает выпуски начиная с glibc 2.5 и может привести к повышению своих привилегий в системе.

Уязвимость вызвана переполнением буфера в компоновщике ld.so и может быть эксплуатирована через указание специально подобранных данных в переменной LD_LIBRARY_PATH перед запуском suid-программ. Для эксплуатации переполнения буфера локальный атакующий должен иметь возможность создания жесткой ссылки на исполняемый SUID-файл в каталог, содержащий двоеточие в имени. Также требуется, чтобы применяемая в дистрибутиве версия ld.so передавала переменную окружения LD_LIBRARY_PATH в функцию _dl_init_paths().


$ mkdir -p ‘/var/tmp/:/lib:/usr/lib:’
$ cd ‘/var/tmp/:/lib:/usr/lib:’
$ env -i LD_LIBRARY_PATH=’$ORIGIN/../../../../../../../../$LIB’ LD_PRELOAD=’os-release:rootshell.so’
LD_HWCAP_MASK=»$(((1
Proxy-Base-News вне форума   Ответить с цитированием
Ответ

Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск
Опции просмотра

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.
Trackbacks are Вкл.
Pingbacks are Вкл.
Refbacks are Вкл.


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Удалённо эксплуатируемая уязвимость в Glibc Proxy-Base-News Новости IT 0 16.02.2016 23:20
Уязвимость в Android, позволяющая выполнить код с правами медиасервера Proxy-Base-News Новости IT 0 26.01.2016 00:20
В Linux обнаружена уязвимость, позволяющая поднять привилегии Proxy-Base-News Новости IT 0 20.01.2016 14:20
Уязвимость в GRUB2, позволяющая обойти блокировку загрузки паролем Proxy-Base-News Новости IT 0 16.12.2015 23:20
Уязвимость в Xen, позволяющая получить контроль над системой Proxy-Base-News Новости IT 0 29.10.2015 23:50




DDoS Protected




Мы в твиттере, Proxy-Base.Org Twitter

Proxy-Base Community - Анонимность и безопасность в интернете.
Наши партнеры: CRC Labs, SEO-Crack.Com, Garsuk.Com, SED Team, Skladchik.com, BSS Family

Powered by vBulletin® | Булка сделана в пекарне®
Copyright © 2000 - , Jelsoft Enterprises Ltd. Перевод: zCarot
Вся информация на сайте выложена исключительно в ознакомительных целях.